<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->

</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header(${user.getFullName()}, @{/admin/users}, 'userDetail')"></div>

    <main id="main" class="container pt-3">
        <div class="px-2 px-lg-3">

            <!--ALERTS-->
            <div th:replace="fragments/layout :: alerts"></div>

            <div th:if="${user != null}">

                <!--BASIC INFO-->
                <h5>Zákaldní info:</h5>
                <table class="mb-3 ml-1">
                    <tr>
                        <td class="pr-3 pb-1">Jméno:</td>
                        <td class="font-weight-bold" th:text="${user.name}"></td>
                    </tr>
                    <tr>
                        <td class="pr-3 pb-1">Příjmení:</td>
                        <td class="font-weight-bold" th:text="${user.surname}"></td>
                    </tr>
                    <tr>
                        <td class="pr-3 pb-1">Firma:</td>
                        <td class="font-weight-bold" th:text="${user.company}"></td>
                    </tr>
                    <tr>
                        <td class="pr-3 pb-1">Email:</td>
                        <td>
                            <a class="font-weight-bold text-dark text-decoration-none"
                               th:href="'mailto:' + ${user.email}" th:text="${user.email}"></a>
                        </td>
                    </tr>
                    <tr>
                        <td class="pr-3 pb-1">Telefon:</td>
                        <td>
                            <a class="font-weight-bold text-dark text-decoration-none"
                               th:href="'tel:' + ${user.phoneNumber}" th:text="${user.phoneNumber}"></a>
                        </td>
                    </tr>
                </table>

                <!--IDENTIFIKAČNÍ ČÍSLA-->
                <h5>Identifikační čísla:</h5>
                <table class="mb-3 ml-1">
                    <tr>
                        <td class="pr-3 pb-1">Číslo OP/RČ:</td>
                        <td class="font-weight-bold" th:text="${user.idNumber}"></td>
                    </tr>
                    <tr>
                        <td class="pr-3 pb-1">IČO:</td>
                        <td class="font-weight-bold" th:text="${user.ico}"></td>
                    </tr>
                    <tr>
                        <td class="pr-3 pb-1">DIČ:</td>
                        <td class="font-weight-bold" th:text="${user.dic}"></td>
                    </tr>
                </table>

                <!--ADDRESS-->
                <div th:if="${user.address != null}">
                    <h5>Adresa:</h5>
                    <table class="mb-3 ml-1">
                        <tr>
                            <td class="pr-3 pb-1">Město:</td>
                            <td class="font-weight-bold" th:text="${user.address.city}"></td>
                        </tr>
                        <tr>
                            <td class="pr-3 pb-1">Ulice a číslo:</td>
                            <td class="font-weight-bold" th:text="${user.address.street}"></td>
                        </tr>
                        <tr>
                            <td class="pr-3 pb-1">Zip:</td>
                            <td class="font-weight-bold" th:text="${user.address.zip}"></td>
                        </tr>
                        <tr>
                            <td class="pr-3 pb-1">Stát:</td>
                            <td class="font-weight-bold" th:if="${user.address.state != null}"
                                th:text="${user.address.state.name}"></td>
                        </tr>
                    </table>
                </div>

                <!--BORROWS-->
                <div th:if="${not #lists.isEmpty(borrows)}" class="mt-4">
                    <h5>Výpůjčky:</h5>
                    <div>
                        <table class="ml-1 w-100 w-sm-auto smaller">

                            <tr th:each="borrow : ${borrows}">
                                <td class="pr-3 pr-sm-5">
                                    <span th:text="${borrow.getFormatFromDate('dd.MM.yyyy')}"></span>
                                    <span class="d-none d-sm-inline">
                                        -
                                        <span th:text="${borrow.getFormatToDate('dd.MM.yyyy')}"></span>
                                    </span>
                                </td>
                                <td class="pr-3 pr-sm-5">
                                    <span th:text="${borrow.getProductsNames()}"></span>
                                </td>
                                <td class="text-right"
                                    th:text="${borrow.totalPrice > 0 ? borrow.getFormatPrice() : '-'}"></td>
                            </tr>
                            <tr class="border-top font-weight-bold">
                                <td colspan="2" class="pr-3 pr-sm-5" th:text="${borrowsCount}">

                                </td>
                                <td class="text-right"
                                    th:text="${T(cz.david.minirental.helpers.NumberHelper).formatFloat(totalIncome)}"></td>
                            </tr>

                        </table>

                    </div>
                </div>

            </div>
        </div>
    </main>
</div>

<!--FOOTER-->
<div th:replace="fragments/layout :: footer"></div>

</body>
</html>